# $Revision: 1.13 $, $Date: 2011/03/01 06:28:38 $
%include	/usr/lib/rpm/macros.php
%define		_status		alpha
%define		_pearname	Validate_AU
Summary:	%{_pearname} - Data validation class for Australia
Summary(pl.UTF-8):	%{_pearname} - klasa sprawdzająca poprawność danych dla Australii
Name:		php-pear-%{_pearname}
Version:	0.1.4
Release:	2
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	f45157618a42e85567634462f4ab5382
URL:		http://pear.php.net/package/Validate_AU/
BuildRequires:	php-pear-PEAR >= 1:1.4.9
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Validate >= 0.5.0
Obsoletes:	php-pear-Validate_AU-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Package containes locale validation for AU such as:
- Phone Number
- Postal Code
- Tax File Number
- Australian Business Number
- Australian Company Number
- Australian Regional Codes

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet do sprawdzania poprawności dla Australii danych takich jak:
- numer telefonu,
- kod pocztowym
- numer podatkowy,
- Australian Business Number
- Australian Company Number
- Australian Regional Codes

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/%{_pearname}/{data/*,}
rmdir .%{php_pear_dir}/data/%{_pearname}/data
mv docs/{%{_pearname}/*,.}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/LICENSE
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Validate/AU.php
%{php_pear_dir}/data/%{_pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Validate_AU.spec,v $
Revision 1.13  2011/03/01 06:28:38  glen
- release 2

Revision 1.12  2011/01/23 01:03:29  sparky
- dropped -tests subpackage

Revision 1.11  2010/11/16 08:27:10  glen
- updated to: 0.1.4

Revision 1.10  2010/08/22 08:51:43  glen
- ensure rpmbuild macros present

Revision 1.9  2010/08/21 19:09:19  glen
- updated deps with pearize.sh
- release 5

Revision 1.8  2010/01/20 10:39:46  glen
- missing dir; rel 4

Revision 1.7  2009/04/18 20:47:19  areq
- rel 3

Revision 1.6  2009/04/18 19:13:07  areq
- rel 2

Revision 1.5  2008/12/30 23:07:02  adamg
- updated to 0.1.3

Revision 1.4  2008/12/27 01:20:32  adamg
- updated to 0.1.2

Revision 1.3  2008-05-24 08:41:48  adamg
- release 2 (updated PEAR deps)

Revision 1.2  2008-05-24 08:23:34  adamg
- PEAR/PEAR-core packages are not directly required

Revision 1.1  2008-05-03 11:13:12  adamg
- new
